#!/bin/bash

set -e

filename="gnomad.genomes.r2.1.1.sites.liftover_grch38.vcf.bgz"
CONTIGS=$(tabix -l $filename)

output="gnomad.genomes.r2.1.1.extract.tsv"

head -n 1 result_chr1.tsv > $output

for contig in $CONTIGS; do

    echo $contig
    tail -n +2 "result_${contig}.tsv" | sort -k 4 -n >> $output
done

bgzip $output

tabix -s 3 -b 4 -e 4 -S 1 -f "${output}.gz"

# -s 3: chromosome/contig
# -b 4: start position
# -e 4: end position
# -S 1: skip first line (header)
